Eclipse Draw2d 3.3

## org.eclipse.draw2d.graph
Class CompoundDirectedGraphLayout

    java.lang.Object
      org.eclipse.draw2d.graph.DirectedGraphLayout
          org.eclipse.draw2d.graph.CompoundDirectedGraphLayout

    public final class CompoundDirectedGraphLayout

extends DirectedGraphLayout

Performs a graph layout on a `CompoundDirectedGraph`. The input format is the same as for `DirectedGraphLayout`. All nodes, including subgraphs and their children, should be added to the `DirectedGraph.nodes` field.

The requirements for this algorithm are the same as those of `DirectedGraphLayout`, with the following exceptions:

- There is an implied edge between a subgraph and each of its member nodes. These edges form the containment graph T. Thus, the compound directed graph CG is said to be connected iff Union(G, T) is connected, where G represents the given nodes (including subgraphs) and edges.
- This algorithm will remove any compound cycles found in the input graph G by inverting edges according to a heuristic until no more cycles are found. A compound cycle is defined as: a cycle comprised of edges from G, T, and T-1, in the form (c*e+p*e+)*, where T-1 is the backwards graph of T, c element of T, e element of G, and p element of T-1.

Since:
  2.1.2

Constructor Summary
`CompoundDirectedGraphLayout()`

Method Summary

Methods inherited from class org.eclipse.draw2d.graph.DirectedGraphLayout
`visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundDirectedGraphLayout

    public CompoundDirectedGraphLayout()

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.